aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-sort-key/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 06:54:25 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-09-13 06:54:25 +0000
commitace1aac51080102dfd4d0b305aab0735fbd3e83d (patch)
treeb57627c90fe1e3589372b535df5f2dc402f9cd65 /testing/perl-sort-key/APKBUILD
parent8750f73527840b91ef57b16a1842c83ea65fb440 (diff)
downloadaports-ace1aac51080102dfd4d0b305aab0735fbd3e83d.tar.gz
aports-ace1aac51080102dfd4d0b305aab0735fbd3e83d.tar.bz2
aports-ace1aac51080102dfd4d0b305aab0735fbd3e83d.tar.xz
testing/perl-sort-key: new aport
Diffstat (limited to 'testing/perl-sort-key/APKBUILD')
-rw-r--r--testing/perl-sort-key/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-sort-key/APKBUILD b/testing/perl-sort-key/APKBUILD
new file mode 100644
index 0000000000..9b6bf934b2
--- /dev/null
+++ b/testing/perl-sort-key/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-sort-key
+_pkgreal=Sort-Key
+pkgver=1.33
+pkgrel=0
+pkgdesc="the fastest way to sort anything in Perl"
+url="http://search.cpan.org/dist/Sort-Key/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SA/SALVA/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="a37ab0da0cfdc26e57b4c79e39f6d98f Sort-Key-1.33.tar.gz"
+sha256sums="ed6a4ccfab094c9cd164f564024e98bd21d94f4312ccac4d6246d22b34081acf Sort-Key-1.33.tar.gz"
+sha512sums="cf87cd2f5c0eea662dbdaf7faed5646ebd63925c71a093a79a9980d6de290b1128443954675893f263961e68d1db0e9e4ca1412a2734ce8dcdd271bcf4f1be17 Sort-Key-1.33.tar.gz"